%define tarname		WebTest
%define _with_docs	0

Summary:	Helper to test WSGI applications
Name:		python-webtest
Version:	2.0.20
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/W/%{tarname}/%{tarname}-%{version}.tar.gz
Source1:	Makefile
License:	MIT
Group:		Development/Python
Url:		http://pythonpaste.org/webtest/
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(sphinx)

%description
This package wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

It provides convenient full-stack testing of applications written with
any WSGI-compatible framework.

WebTest is based on paste.fixture.TestApp.

%files
%if %_with_docs
%doc docs/_build/html
%endif
%{python2_sitelib}/webtest
%{python2_sitelib}/WebTest-%{version}-py%{python2_version}.egg-info

#--------------------------------------------------------------------

%package -n	python3-webtest
Summary:	Helper to test WSGI applications
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-webtest
This package wraps any WSGI application and makes it easy to send test
requests to that application, without starting up an HTTP server.

It provides convenient full-stack testing of applications written with
any WSGI-compatible framework.

WebTest is based on paste.fixture.TestApp.

%files -n python3-webtest
%{python3_sitelib}/webtest
%{python3_sitelib}/WebTest-%{version}-py%{python3_version}.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}
cp -f %{SOURCE1} docs/

# Remove bundled egg-info
rm -rf %{tarname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install 

pushd %{py3dir}
%py3_install
popd

%if %_with_docs
pushd docs
export PYTHONPATH=`dir -d ../build/lib*`
make html
rm -f _build/html/.buildinfo
popd docs
%endif



%changelog
* Wed Dec 16 2015 daviddavid <daviddavid> 2.0.20-1.mga6
+ Revision: 910998
- new version: 2.0.20

* Sat Oct 17 2015 daviddavid <daviddavid> 2.0.18-2.mga6
+ Revision: 892345
- add python3 package

* Sat Oct 17 2015 daviddavid <daviddavid> 2.0.18-1.mga6
+ Revision: 892335
- new version: 2.0.18
- use new python macros (fix build failure)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.6-8.mga5
+ Revision: 744034
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.6-7.mga5
+ Revision: 729992
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.6-6.mga5
+ Revision: 688418
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.6-4.mga4
+ Revision: 544490
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.6-3.mga4
+ Revision: 499718
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 fwang <fwang> 2.0.6-2.mga4
+ Revision: 495088
- update file list

* Thu Aug 01 2013 neoclust <neoclust> 2.0.6-1.mga4
+ Revision: 462031
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 379680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 1.2.3-1.mga3
+ Revision: 313517
- imported package python-webtest


* Thu Mar 31 2011 Lev Givon <lev@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 649457
- import python-webtest


